﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using jQueryDemos.Repositories;

namespace jQueryDemos.Controllers
{
    public class HomeController : Controller
    {
        MovieRepository repo;

        public HomeController()
        {
            repo = new MovieRepository();
        }

        [HttpGet]
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult MovieClient()
        {
            return View();
        }

        public ActionResult ReviewClient()
        {
            return View(repo.GetMovies().ToList());
        }

        //JSON results for client
        public JsonResult Movies()
        {
            return this.Json(repo.GetMovies(),
                JsonRequestBehavior.AllowGet);
        }

        public JsonResult MoviesAndReviews()
        {
            return this.Json(repo.GetMoviesWithReviews(),
                JsonRequestBehavior.AllowGet);
        }

        public JsonResult Reviews(int id)
        {
            return this.Json(repo.GetReviews(id),
                JsonRequestBehavior.AllowGet);
        }
    }
}
