﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace jQueryDemos.Models
{
    [Table("reviews")]
    public class Review
    {
        [Column("review_id"), Key()]
        public int ID { get; set; }

        [Column("review"), MaxLength(512)]
        public string ReviewText { get; set; }

        [Column("summary"), MaxLength(64)]
        public string Summary { get; set; }

        [Column("reviewer"), MaxLength(64)]
        public string Reviewer { get; set; }

        [Column("rating"), Range(1,10, ErrorMessage="Rating must be between 1 and 10")]
        public int Rating { get; set; }

        [Column("movie_id")]
        public int MovieID { get; set; }

        [ForeignKey("MovieID")]
        public virtual Movie Movie { get; set; }
    }
}