﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using jQueryDemos.Models;

namespace jQueryDemos.Repositories
{
    public class MovieRepository
    {
        MovieContext ctx;
        public MovieRepository()
        {
            ctx = new MovieContext();
            ctx.Configuration.AutoDetectChangesEnabled = false;
            ctx.Configuration.ProxyCreationEnabled = false;

        }
        public IQueryable<Movie> GetMovies()
        {
            return ctx.Movies;
        }

        public IQueryable<Movie> GetMoviesWithReviews()
        {
            return ctx.Movies.Include("Reviews");
        }

        public IQueryable<Review> GetReviews(int movieID)
        {
            return ctx.Reviews.Where((r)=>r.MovieID == movieID);
        }
    }
}